import '../models/base_model.dart';
import 'package:flutter/material.dart';

abstract class BaseAction<T extends BaseModel?> {
  T? _model;

  void initState();
  void initBuilder(BuildContext context) {
    _model!.attachContext(context);
  }

  void dispose() {}

  T? getModel() {
    return _model;
  }

  void setModel(T model) {
    _model = model;
  }
}
